
From: Kumar Gala <galak@somerset.sps.mot.com>

Remove prototypes and externs out of the .c files

Signed-off-by: Andy Fleming <afleming@freescale.com> 
Signed-off-by: Kumar Gala <kumar.gala@freescale.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/kernel/perfmon_fsl_booke.c |   10 +---------
 25-akpm/arch/ppc/kernel/traps.c             |    3 +--
 25-akpm/arch/ppc/oprofile/common.c          |    1 -
 25-akpm/include/asm-ppc/perfmon.h           |    4 ++++
 4 files changed, 6 insertions(+), 12 deletions(-)

diff -puN arch/ppc/kernel/perfmon_fsl_booke.c~ppc32-performance-monitor-oprofile-support-for-e500-review-fixes arch/ppc/kernel/perfmon_fsl_booke.c
--- 25/arch/ppc/kernel/perfmon_fsl_booke.c~ppc32-performance-monitor-oprofile-support-for-e500-review-fixes	Thu Dec  2 13:02:04 2004
+++ 25-akpm/arch/ppc/kernel/perfmon_fsl_booke.c	Thu Dec  2 13:02:04 2004
@@ -32,15 +32,7 @@
 #include <asm/io.h>
 #include <asm/reg.h>
 #include <asm/xmon.h>
-
-void init_pmc_stop(int ctr);
-void set_pmc_event(int ctr, int event);
-void set_pmc_user_kernel(int ctr, int user, int kernel);
-void set_pmc_marked(int ctr, int mark0, int mark1);
-void pmc_start_ctr(int ctr, int enable);
-void pmc_start_ctrs(int enable);
-void pmc_stop_ctrs(void);
-void dump_pmcs(void);
+#include <asm/perfmon.h>
 
 static inline u32 get_pmlca(int ctr);
 static inline void set_pmlca(int ctr, u32 pmlca);
diff -puN arch/ppc/kernel/traps.c~ppc32-performance-monitor-oprofile-support-for-e500-review-fixes arch/ppc/kernel/traps.c
--- 25/arch/ppc/kernel/traps.c~ppc32-performance-monitor-oprofile-support-for-e500-review-fixes	Thu Dec  2 13:02:04 2004
+++ 25-akpm/arch/ppc/kernel/traps.c	Thu Dec  2 13:02:04 2004
@@ -41,6 +41,7 @@
 #ifdef CONFIG_PMAC_BACKLIGHT
 #include <asm/backlight.h>
 #endif
+#include <asm/perfmon.h>
 
 #ifdef CONFIG_XMON
 void (*debugger)(struct pt_regs *regs) = xmon;
@@ -71,8 +72,6 @@ void (*debugger_fault_handler)(struct pt
  * Trap & Exception support
  */
 
-extern void (*perf_irq)(struct pt_regs *);
-
 spinlock_t die_lock = SPIN_LOCK_UNLOCKED;
 
 void die(const char * str, struct pt_regs * fp, long err)
diff -puN arch/ppc/oprofile/common.c~ppc32-performance-monitor-oprofile-support-for-e500-review-fixes arch/ppc/oprofile/common.c
--- 25/arch/ppc/oprofile/common.c~ppc32-performance-monitor-oprofile-support-for-e500-review-fixes	Thu Dec  2 13:02:04 2004
+++ 25-akpm/arch/ppc/oprofile/common.c	Thu Dec  2 13:02:04 2004
@@ -25,7 +25,6 @@
 
 #include "op_impl.h"
 
-extern struct op_ppc32_model op_model_fsl_booke;
 static struct op_ppc32_model *model;
 
 static struct op_counter_config ctr[OP_MAX_COUNTER];
diff -puN include/asm-ppc/perfmon.h~ppc32-performance-monitor-oprofile-support-for-e500-review-fixes include/asm-ppc/perfmon.h
--- 25/include/asm-ppc/perfmon.h~ppc32-performance-monitor-oprofile-support-for-e500-review-fixes	Thu Dec  2 13:02:04 2004
+++ 25-akpm/include/asm-ppc/perfmon.h	Thu Dec  2 13:02:04 2004
@@ -1,6 +1,8 @@
 #ifndef __PERFMON_H
 #define __PERFMON_H
 
+extern void (*perf_irq)(struct pt_regs *);
+
 int request_perfmon_irq(void (*handler)(struct pt_regs *));
 void free_perfmon_irq(void);
 
@@ -13,6 +15,8 @@ void pmc_start_ctr(int ctr, int enable);
 void pmc_start_ctrs(int enable);
 void pmc_stop_ctrs(void);
 void dump_pmcs(void);
+
+extern struct op_ppc32_model op_model_fsl_booke;
 #endif
 
 #endif /* __PERFMON_H */
_
